Subject: Why does light attract moths ?

From: @hursley.ibm.com
Date: 14 May 1996 12:04:10 GMT

Trivial question:

What is it with moths that they are so attracted to lights at night ?
If the're so keen on it why haven't they evolved into being diurnal ?
I guess it's a question of competition that they are not around during the day,
but it seems so daft that they should want to fry themselves on lights/flames
etc.  

Thanks for any hints.